/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.dao.impl;

import dk.sds.ecpr2.dao.impl.abstr.VersionedAbstractRowMapper;
import dk.sds.ecpr2.domain.ContactInformationVO;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Mapping table data to domain object for contact information
 */
public class ContactInformationRowMapper extends VersionedAbstractRowMapper<ContactInformationVO> implements RowMapper<ContactInformationVO> {
    @Override
    public ContactInformationVO mapRow(ResultSet resultSet, int i) throws SQLException {
        final ContactInformationVO c = ContactInformationVO.builder()
                .contactInformationPID(resultSet.getLong("ContactInformationPID"))
                .mobilePhone(resultSet.getString("MobilePhone"))
                .homePhone(resultSet.getString("HomePhone"))
                .workPhone(resultSet.getString("WorkPhone"))
                .build();
        super.mapRowFromVersionData(c, resultSet, i);

        return c;
    }
}
