/**
 * MIT License
 * <p>
 * Copyright (c) 2017 Trifork
 * <p>
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * <p>
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * <p>
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.domain;

import dk.sds.ecpr2.domain.abstr.AbstractVO;
import lombok.Builder;
import lombok.Data;
import lombok.Singular;

import java.util.LinkedList;
import java.util.List;

@Data
@Builder
public class PersonalDataCardVO extends AbstractVO {
    private Long personalDataCardPID;
    private String personIdentifier;
    private String personIdentifierSource;
    private Integer version;
    private String versionDescription;

    private ContactInformationVO contactInformation;
    @Singular
    private List<RelativeVO> relatives;
    @Singular
    private List<TempAddressVO> tempAddresses;
    @Singular
    private List<LanguageVO> languages;

    public List<RelativeVO> getRelatives() {
        if (relatives == null)
            relatives = new LinkedList<>();
        return relatives;
    }

    public List<TempAddressVO> getTempAddresses() {
        if (tempAddresses == null)
            tempAddresses = new LinkedList<>();
        return tempAddresses;
    }

    public List<LanguageVO> getLanguages() {
        if (languages == null)
            languages = new LinkedList<>();
        return languages;
    }
}
