/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */


package dk.sds.ecpr2.webservice;

import dk.sds.ecpr2._2017._10._01.GetPersonalDataCardRequest;
import dk.sds.ecpr2._2017._10._01.GetPersonalDataCardResponse;
import dk.sds.ecpr2._2017._10._01.ObjectFactory;
import dk.sds.ecpr2.util.Properties;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.transaction.annotation.Transactional;

import static org.junit.Assert.assertNotNull;

@RunWith(SpringRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@Transactional
public class DataCardAndActorIntegrationTests {

    public static final String PERSON_ID_FROM_DATA_FILL = "2512484916";

    @Autowired
    private ECPR2WebServiceImpl serviceUnderTest;

    @Autowired
    Properties properties;

    private static final ObjectFactory factory = new ObjectFactory();

    @Test
    public void getPersonalDataCard_WithValidRequest_Validates() throws Exception {
        final GetPersonalDataCardResponse response = getGetPersonalDataCard(PERSON_ID_FROM_DATA_FILL);
        assertNotNull(response);
    }

    private GetPersonalDataCardResponse getGetPersonalDataCard(String personId) throws Exception {
        final GetPersonalDataCardRequest request = factory.createGetPersonalDataCardRequest();
        return serviceUnderTest.getPersonalDataCard(request);
    }

}